# PSF-LoginServer - master - net.psforever.objects.vital.base.DamageModifiers
PSF - LoginServer - master - net.psforever.objects.vital.base.DamageModifiers
Keywords: PSF LoginServer master net.psforever.objects.vital.base.DamageModifiers

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package base
  Definition Classes
    vital
- DamageModifiers
- DamageReason
- DamageResolution
- DamageType

t

net.psforever.objects.vital.base

# DamageModifiers 

###
Companion object DamageModifiers

#### trait DamageModifiers extends AnyRef

Adjustments performed on the subsequent manipulations of the "base damage" value of an attack vector (like a projectile).
Unlike static damage modifications which are structured like other `DamageProfiles` and offer purely additive or subtractive effects on the base damage, these modifiers should focus on unstructured, scaled manipulation of the value. The most common modifiers change the damage value based on distance between two points, called "degrading". The list of modifiers must be allocated in a single attempt, overriding previously-set modifiers.

Source
  DamageModifiers.scala
See also

  `DamageCalculations.WithModifiers`

  `DamageModifiers.Mod`

  `DamageProfile`

Linear Supertypes
AnyRef, Any
Known Subclasses
BoomerDeployableDefinition, ExplosiveDeployableDefinition, SensorDeployableDefinition, ShieldGeneratorDefinition, TelepadDeployableDefinition, TrapDeployableDefinition, TurretDeployableDefinition, NonvitalDefinition, AvatarDefinition, DeployableDefinition, ProjectileDefinition, VehicleDefinition, AmsDefinition, AntDefinition, ApcDefinition, CarrierDefinition, DeployingDefinition, RouterDefinition, ChargeFireModeDefinition, FireModeDefinition, InfiniteFireModeDefinition, PelletFireModeDefinition, DoorDefinition, GeneratorDefinition, CaptureFlagDefinition, CaptureFlagSocketDefinition, IFFLockDefinition, LockerDefinition, VehicleSpawnPadDefinition, PainboxDefinition, ResourceSiloDefinition, AmenityDefinition, GeneratorTerminalDefinition, MatrixTerminalDefinition, MedicalTerminalDefinition, OrderTerminalDefinition, ProximityTerminalDefinition, TerminalDefinition, CaptureTerminalDefinition, ImplantTerminalMechDefinition, SpawnTubeDefinition, FacilityTurretDefinition, InternalTelepadDefinition, VitalityDefinition, DamageProperties, DamageWithPosition

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageModifiers
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Modifiers: List[Mod]
5.  def Modifiers_=(modifiers: List[Mod]): List[Mod]
6.  def Modifiers_=(modifier: Mod): List[Mod]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped